<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>INbaModelObject</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="INbaModelObject";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaModelObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api.model</a></div>
<h2 title="Interface INbaModelObject" class="title">Interface INbaModelObject</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a></code>, <code><a href="AreaClass.html" title="enum in nl.naturalis.nba.api.model">AreaClass</a></code>, <code><a href="AssociatedTaxon.html" title="class in nl.naturalis.nba.api.model">AssociatedTaxon</a></code>, <code><a href="BioStratigraphy.html" title="class in nl.naturalis.nba.api.model">BioStratigraphy</a></code>, <code><a href="ChronoStratigraphy.html" title="class in nl.naturalis.nba.api.model">ChronoStratigraphy</a></code>, <code><a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a></code>, <code><a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a></code>, <code><a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a></code>, <code><a href="GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model">GatheringSiteCoordinates</a></code>, <code><a href="GeoArea.html" title="class in nl.naturalis.nba.api.model">GeoArea</a></code>, <code><a href="GeoPoint.html" title="class in nl.naturalis.nba.api.model">GeoPoint</a></code>, <code><a href="Iptc4xmpExt.html" title="class in nl.naturalis.nba.api.model">Iptc4xmpExt</a></code>, <code><a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a></code>, <code><a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a></code>, <code><a href="LithoStratigraphy.html" title="class in nl.naturalis.nba.api.model">LithoStratigraphy</a></code>, <code><a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a></code>, <code><a href="MultiMediaContentIdentification.html" title="class in nl.naturalis.nba.api.model">MultiMediaContentIdentification</a></code>, <code><a href="MultiMediaGatheringEvent.html" title="class in nl.naturalis.nba.api.model">MultiMediaGatheringEvent</a></code>, <code><a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a></code>, <code><a href="NamedArea.html" title="class in nl.naturalis.nba.api.model">NamedArea</a></code>, <code><a href="Organization.html" title="class in nl.naturalis.nba.api.model">Organization</a></code>, <code><a href="Person.html" title="class in nl.naturalis.nba.api.model">Person</a></code>, <code><a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a></code>, <code><a href="ResourceType.html" title="enum in nl.naturalis.nba.api.model">ResourceType</a></code>, <code><a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a></code>, <code><a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a></code>, <code><a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a></code>, <code><a href="SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code>, <code><a href="SpatialDatum.html" title="enum in nl.naturalis.nba.api.model">SpatialDatum</a></code>, <code><a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a></code>, <code><a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a></code>, <code><a href="SpecimenMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">SpecimenMultiMediaObject</a></code>, <code><a href="SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model">SpecimenTypeStatus</a></code>, <code><a href="summary/SummaryGatheringEvent.html" title="class in nl.naturalis.nba.api.model.summary">SummaryGatheringEvent</a></code>, <code><a href="summary/SummaryGatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model.summary">SummaryGatheringSiteCoordinates</a></code>, <code><a href="summary/SummaryOrganization.html" title="class in nl.naturalis.nba.api.model.summary">SummaryOrganization</a></code>, <code><a href="summary/SummaryPerson.html" title="class in nl.naturalis.nba.api.model.summary">SummaryPerson</a></code>, <code><a href="summary/SummaryScientificName.html" title="class in nl.naturalis.nba.api.model.summary">SummaryScientificName</a></code>, <code><a href="summary/SummarySpecimen.html" title="class in nl.naturalis.nba.api.model.summary">SummarySpecimen</a></code>, <code><a href="summary/SummarySpecimenIdentification.html" title="class in nl.naturalis.nba.api.model.summary">SummarySpecimenIdentification</a></code>, <code><a href="summary/SummaryTaxon.html" title="class in nl.naturalis.nba.api.model.summary">SummaryTaxon</a></code>, <code><a href="summary/SummaryVernacularName.html" title="class in nl.naturalis.nba.api.model.summary">SummaryVernacularName</a></code>, <code><a href="Synonym.html" title="class in nl.naturalis.nba.api.model">Synonym</a></code>, <code><a href="Taxon.html" title="class in nl.naturalis.nba.api.model">Taxon</a></code>, <code><a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a></code>, <code><a href="TaxonMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">TaxonMultiMediaObject</a></code>, <code><a href="TaxonomicEnrichment.html" title="class in nl.naturalis.nba.api.model">TaxonomicEnrichment</a></code>, <code><a href="TaxonomicIdentification.html" title="class in nl.naturalis.nba.api.model">TaxonomicIdentification</a></code>, <code><a href="TaxonomicRank.html" title="enum in nl.naturalis.nba.api.model">TaxonomicRank</a></code>, <code><a href="TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model">TaxonomicStatus</a></code>, <code><a href="TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model">TaxonRelationType</a></code>, <code><a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">INbaModelObject</span></pre>
<div class="block">Marker interface for all classes representing the NBA data model.</div>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaModelObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
